<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\Vertrag\Utils;

class VertragUtilsSchrobenhausenVhs extends VertragUtils
{
  public function isVertragAblehnenAllowed()
  {
    return $this->isVertragsDruckAllowed() && !$this->isVertragBereitsAbgelehnt() && !$this->isVertragBereitsAkzeptiert();
  }

  public function isVertragAkzeptierenAllowed()
  {
    return $this->isVertragsDruckAllowed() && !$this->isVertragBereitsAbgelehnt() && !$this->isVertragBereitsAkzeptiert();
  }

  public function isVertragsDruckAllowed()
  {
    return \DateTimeOperations::isValidDate($this->dozKurs->vertrag_freigabe_am)
          && \DateTimeOperations::isDateBeforeNow($this->dozKurs->vertrag_freigabe_am, -1)
          && $this->dozKurs->vertrag_freigabe_am != DEFAULTDATE;
  }

  public function isVertragBereitsAkzeptiert()
  {
    return parent::isVertragBereitsAkzeptiert() && !$this->isVertragBereitsAbgelehnt();
  }
}